package com.ruoyi.app.mapper;

import com.ruoyi.app.domain.AppStand;

import java.util.List;

/**
 * 【请填写功能名称】Mapper接口
 *
 * @author ruoyi
 * @date 2025-01-14
 */
public interface AppStandMapper
{
    /**
     * 查询【请填写功能名称】
     *
     * @param standId 【请填写功能名称】主键
     * @return 【请填写功能名称】
     */
    public AppStand selectAppStandByStandId(String standId);

    /**
     * 查询【请填写功能名称】列表
     *
     * @param appStand 【请填写功能名称】
     * @return 【请填写功能名称】集合
     */
    public List<AppStand> selectAppStandList(AppStand appStand);

    /**
     * 新增【请填写功能名称】
     *
     * @param appStand 【请填写功能名称】
     * @return 结果
     */
    public int insertAppStand(AppStand appStand);

    /**
     * 修改【请填写功能名称】
     *
     * @param appStand 【请填写功能名称】
     * @return 结果
     */
    public int updateAppStand(AppStand appStand);

    /**
     * 删除【请填写功能名称】
     *
     * @param standId 【请填写功能名称】主键
     * @return 结果
     */
    public int deleteAppStandByStandId(String standId);

    /**
     * 批量删除【请填写功能名称】
     *
     * @param standIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteAppStandByStandIds(String[] standIds);
}
